Subject: [bug#42474] [PATCH 0/3] WIP: Add hunspell-dict-de.

From: Jonathan Brielmaier <[email-masked]>
Date: Wed, 22 Jul 2020 14:26:49 +0200

Hi folks,

as I'm missing spell checker in Icecat and Libreoffice (Icedove let you install one), I tried to package
hunspell-dict-de.

It's more engaged then I thought before :P I added byacc as an yacc implementation required
by ispell. That part is working, so not WIP.

ispell
======
It's Makefiles are a bit ugly so you need to patch them somehow.
At the current state the binaries are looking at the wrong place for the "/lib/ispell/*.hash" files.
So I guess that is where
```
ice-9/boot-9.scm:1669:16: In procedure raise-exception:
In procedure open-file: No such file or directory: "/gnu/store/smvi9sk3s3xvn0xx6az0hvzl6mhy7zyn-ispell-3.4.00/lib/ispell/english.hash"
```
comes from.
```
$ /gnu/store/smvi9sk3s3xvn0xx6az0hvzl6mhy7zyn-ispell-3.4.00/bin/ispell
Can't open /lib/ispell/english.hash
```
Do I need to wrap this somehow?

hunspell-dict-de
================
It's blocked by ispell. It only requires buildhash which seems to be working.

In general wouldn't it make sense to rename aspell.scm to spell.scm and move the hunspell* stuff from
libreoffice.scm there?

Jonathan Brielmaier (3):
  gnu: Add byacc.
  WIP: gnu: Add ispell.
  WIP: gnu: Add hunspell-dict-de.

 gnu/packages/aspell.scm      | 45 ++++++++++++++++++++++++++++++++++++
 gnu/packages/c.scm           | 20 ++++++++++++++++
 gnu/packages/libreoffice.scm | 28 +++++++++++++++++++++-
 3 files changed, 92 insertions(+), 1 deletion(-)

--
2.27.0